# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::RenderQueue Class Reference

The RenderQueue class collects a list of RenderToken objects to be sorted and rendered. More...

`#include <RenderQueue.hpp>`

Inheritance diagram for vl::RenderQueue:

List of all members.

## Classes
class | Sorter
## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
| RenderQueue ()
RenderToken * | at (int i) const
RenderToken * | newToken (bool multipass)
void | clear ()
bool | empty ()
int | size () const
void | sort (RenderQueueSorter *sorter, Camera *camera)
## Protected Attributes
std::vector< ref< RenderToken > > | mList
std::vector< ref< RenderToken > > | mListMP
int | mSize
int | mSizeMP

## Detailed Description

The RenderQueue class collects a list of RenderToken objects to be sorted and rendered.

## Constructor & Destructor Documentation

vl::RenderQueue::RenderQueue | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::RenderQueue::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

RenderToken* vl::RenderQueue::at | ( | int | i | ) | const`[inline]`

RenderToken* vl::RenderQueue::newToken | ( | bool | multipass | ) | `[inline]`

void vl::RenderQueue::clear | ( |  | ) | `[inline]`

bool vl::RenderQueue::empty | ( |  | ) | `[inline]`

int vl::RenderQueue::size | ( |  | ) | const`[inline]`

void vl::RenderQueue::sort | ( | RenderQueueSorter * | sorter,
|  | Camera * | camera |
| ) |  |  | `[inline]`

## Member Data Documentation

std::vector< ref<RenderToken> > vl::RenderQueue::mList`[protected]`

std::vector< ref<RenderToken> > vl::RenderQueue::mListMP`[protected]`

int vl::RenderQueue::mSize`[protected]`

int vl::RenderQueue::mSizeMP`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/RenderQueue.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:02 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.